%include goptions;
goptions vsize=7 hsize=7;
* Sex, Occupation and heart disease [Karger, 1980];
 
data heart;
   input gender $ occup $  @;
   heart='Disease';  input freq @;  output;
   heart='No Dis';   input freq @;  output;
cards;
Male   WhiteCol   158   3155
Female WhiteCol    52   3082
Male   BlueCol     87   2829
Female BlueCol     16    416
Male   Unempl     254    759
Female Unempl     431  10283
;
proc sort data=heart;
   by descending heart gender;

proc iml;
/*
   use heart;
   read all var{freq} into table;
   levels = { 2 3 2 };
   vnames = {'Gender' 'Occup' 'Heart' };
   lnames = {'Female'  'Male ' ' ',
             'BlueCol' 'Unempl'  'WhiteCol',
             'Disease' 'NoDisease'  ' ' };
*/
   title  = 'Sex, Occupation, and Heart Disease';
 
   reset storage=mosaic.mosaic;
   load module=_all_;

   vnames = {'Gender' 'Occup' 'Heart' };
   run readtab('heart', 'freq', vnames, table, levels, lnames);
 
   plots = 2:ncol(levels);
   run mosaic(levels, table, vnames, lnames, plots, title);
quit;
