 /*--------------------------------------------------------------*
  *    Name: eps.sas                                             *
  *   Title: Set graphics paraemters for EPS file output         *
  *--------------------------------------------------------------*
  *  Author:  Michael Friendly            <friendly@yorku.ca>    *
  * Created:  5 Dec 1996 14:30:47                                *
  * Revised:  2 Nov 1998 15:51:05                                *
  * Version:  1.1                                                *
  * Dependencies:                                                *
  *   sasgfile                                                   *
  *   defined                                                    *
  *--------------------------------------------------------------*/
%global driver fig gsasfile gsasdir devtyp;

%macro eps(fn);
   %sasgfile(eps,&fn);
	%let driver =%SYSGET(DRIVER);
   %if &driver=%str() %then %let driver = PSLEPSFC;  *-- PSLEPSF for b/w;
	%let dev=&driver;
	%let devtyp = EPS;
	%let fig=1;
   %if %defined(gsasdir)=0 %then %let gsasdir=;
	%if %length(&gsasdir) > 0 %then %do;
		%let gsasdir = %trim(&gsasdir);
		%if &sysscp=WIN
			%then %let dirsep=\;
			%else %let dirsep=/;
		%if "%substr(&gsasdir, %length(&gsasdir), 1)" ^= "&dirsep"
			%then %let outdir = &outdir.&&dirsep;
		%end;
   %put EPS: gsasfile is: "&gsasdir.&gsasfile";
   filename gsasfile  "&gsasdir.&gsasfile";

%if &sysver < 6.08 %then %do;  %*-- SAS 6.07 puts out bad EPS;
	%local gstuff;
	%let gstuff=%str(gend='0A'x  gepilog='showpage' '0A'x);
	%end;
%else %do;
	%let gstuff=;
	%end;


	goptions horigin=.5in vorigin=.5in; *-- override, for BBfix;
	goptions device=&dev gaccess=gsasfile 
		 characters ftext=hwpsl009 target=
		 &gstuff
		 gsflen=80 gsfmode=replace;
%mend eps;
